Bug 100505 - cannot install Workstation in 2.5GB ext3 fs
Summary: cannot install Workstation in 2.5GB ext3 fs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ed Bailey
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-07-22 23:35 UTC by John Reiser
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-11 21:04:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Reiser 2003-07-22 23:35:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Fresh install of "Workstation" fails on ext3 fs with 2514172 blocks (about
2.5GB) even though the RELEASE-NOTES says that 2.1GB is enough.
The message is "need 63MB on /".

Installing "Personal Desktop" succeeds, and df shows
/dev/hda6              2514172   1838176    548284  78% /
Note that Used + Avail is 2386460 blocks, still bigger than 2.1GB.



Version-Release number of selected component (if applicable):
anaconda-9.0.93-1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.Fresh install severn Workstation on ext3 root with 2.5GB.
2.
3.
    

Actual Results:  "Need 63MB on /."

Expected Results:  successful installation.

Additional info:

Comment 1 Michael Fulbright 2003-07-29 19:55:03 UTC
If you add 63MB to '/' does the install succeed?

Clearly the release notes have a problem we should fix.

Comment 2 John Reiser 2003-07-30 19:08:12 UTC
No, "adding 63M to /" does not work; see below for details.

Two hypotheses:
   1. DiskDruid is using Systeme Internationale megabytes, where 1M is 1,000,000;
      but everybody else is using Programmer megabytes, where 1M is 1,048,576.
   2. None of the figures allow for the default 5% ext3 reserved space.

Details:
2514172 blocks / 1024 = 2455.25 Programmer megabytes.  Add 63MB and round up to
integer, giving 2519.  Request 2519 from Disk Druid, and try to install
Workstation.  This fails with "Need 41M on /" just before installing the 1st
package.  [Anaconda apparently allows you to proceed after confirming the
warning, but I didn't.]

Reboot "linux rescue", and ask /bin/df for the actual allocation:
2537872 1K-blocks, 103088 Used, 2305864 Available.
2537872 blocks / 1024 = 2478.39 Programmer megabytes.  2478 + 41 = 2519.

Guess that ext3 5% reserved might be part of problem.  5% of 2519 is 126; 2519 +
126 + 1 [round to ceiling] is 2646.  Ask DiskDruid for 2646; DiskDruid shows it
uses 2643.  Installing Workstation succeeds.  After firstboot, /bin/df shows:
/dev/hda6              2664368   2234224    294800  89% /
and 2664368 / 1024 is 2602.

So it looks to me like the documentation should say that Workstation requires
2.6GB.  [And the hypotheses should be investigated.]

Comment 3 Michael Fulbright 2003-08-05 21:05:15 UTC
Thanks for the additional information. The numbers are usually in flux until
near the end of the release cycle, and then we update the release notes and
documentation with more accurate numbers.

Comment 4 Ed Bailey 2003-09-11 21:04:54 UTC
I've got a reminder in the release notes to get more up-to-date numbers for the
next iteration of the release notes.  Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.